TAAS - Feature #181

Set Bank Charge
04/19/2023 04:43 PM - Junaid M

Status: Reopen Bugs Coding Done Start date: 04/20/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Bank Charge

Description

Coding Set Bank Charge
Menu->Bank Charge->Set Bank Charge

Refer Set Roe Module

History

#1 - 04/20/2023 05:50 PM - Anand V Gopal
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 05/03/2023 06:09 PM - Anand V Gopal
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#3 - 05/05/2023 10:11 AM - Anand V Gopal
- Start date changed from 04/19/2023 to 04/20/2023

#4 - 05/24/2023 06:32 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Set date range on date picker
2.Amounts should be aligned to right
(Charge percentage)

#5 - 05/25/2023 06:13 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#6 - 05/29/2023 06:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add precision on amount

#7 - 05/30/2023 06:07 PM - Anand V Gopal

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 09/25/2023 04:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED
1.CONNECT MODULE WITH PRINT

#9 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#10 - 10/16/2023 03:46 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Print Button Added
Ready for test

#11 - 11/06/2023 05:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50
ISSUE FOUNDED
1.ERROR WHILE SAVING CHARGE WITH LETTERS

#12 - 11/10/2023 10:24 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#13 - 11/14/2023 02:29 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 12/16/2023 02:38 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

fixed 1.CHANGE GUI WORK FLOW LIKE SET ROE GUI

#15 - 12/21/2023 03:53 PM - Anil KV
- Assignee changed from Shabhil Haris to Amal Siby

#16 - 01/01/2024 04:39 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 01/01/2024 06:08 PM - unnikannan S
TESTING DONE

#18 - 05/03/2024 10:48 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S
#19 - 10/23/2024 01:26 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

1. Grid style--- Head --> Type (from service tax), Child--> Banks.

----> Loading logic change in related modules (RV, SALE, CHEQUE MODULE). (tell developers about this change after complete)

----> Add them in 'about' description

#20 - 11/04/2024 09:09 AM - Greeshma S
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#21 - 11/09/2024 03:29 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)CANT ADD CHARGE PERCENTAGE
2)EDIT BUTTON NOT ENABLE ON CORRESPONDING FIELD

#22 - 11/12/2024 09:29 AM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 11/13/2024 06:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)ERROR ON UPDATING BANK CHARGE
2)DATE IS UPDATING IN ALL BANK FIELD IF NO DATA IS ENTERED ON THEM
3)GROUPING IS SHOWS ON PRINT

#24 - 11/14/2024 06:55 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 11/19/2024 04:37 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#26 - 02/26/2025 12:08 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue Found

1)Cant remove the value and save

#27 - 02/26/2025 06:12 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 02/28/2025 01:59 PM - Arathy PS
- File clipboard-202502281250-bss7w.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.Can't remove the value and save if effective date is not current date.
Set Bank Charge

The Bank Charge having same Bank and Effective date (2025-03-01) already existing in other records.

Effective Date®  01/03/2025

D~ | =~ | Menu -

& oK
Code Name Charge Percentage = Created On
~  Type: Inward Credit Card Charge(RV)

BNKOD1 i 000  28/02/2025 12:25 PM r
#29 - 02/28/2025 03:43 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
